/*
 * Created on 12.03.2003
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
package personalAbteilung;

import stammdaten.StandardAdresse;
import stammdaten.StandardAdresse.StandardAnschrift;
import exceptions.DuplicateKeyException;

/**
 * @author administrator
 *
 * To change this generated comment go to 
 * Window>Preferences>Java>Code Generation>Code and Comments
 */
public class ExceptionHandler {
	
	private static int errorCounter = 0; 	// zhlt die Anzahl der Fehler hoch

	public static void handleDuplicateKeyException(StandardAdresse adresse, String key, StandardAnschrift anschrift, DuplicateKeyException dke){
		// Zhler hochsetzen
		++errorCounter;
		
		// neuen key erzeugen
		String newKey = key + errorCounter;
		
		// Fehlermeldung ausgeben
		System.out.println(dke.getMessage() + ", er wird ersetzt durch " + newKey);
		
		try {
			//Aufruf der gleichen Methode mit einem neuen key
			adresse.addAnschrift(newKey, anschrift);
		} catch (DuplicateKeyException e) {
			// Kann eigentlich nicht mehr vorkommen !!!
			e.printStackTrace();
		}
	}
	
}
